{ Telesis.INC                                     SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.

Notes:  Common defines to be included at the top of all units.  Note that
units which depend on third party libraries usually include and use the
equivalent include file from the third party collection - either instead of,
or as well as, this file.

History:

01-Oct-2007 - Guessing support needed for 2005, 2006, and 2007 versions.

22-Sep-2001 - Support for Delphi7 (courtesy Luiz Alves).

27-Apr-2002 - Added USECTL3DSHALLOW define, previously only setup in project
  defines but that was a pain.  Distribution version has this default to
  not defined - for consistency with previous versions and standard VCL.

24-Jan-2002 - Change to remove warning during D6 build.

05-Aug-2001 - Support for Delphi6 (courtesy Luiz Alves).


}

{$R-}  // range checking off.
{$A+}  // aligned record fields on
{$B-}  // complete boolean evaluation off
{$H+}  // huge strings on

{$DEFINE __ENH_VER20__} // Version 2.0 of the EnhComponent collection

{xDEFINE USECTL3DSHALLOW} // Define this to default to shallow border controls

// This will cause the relevant inclusion of required interface
// definitions to support integration with IBObjects.
// Comment out this define if not building with IBO
{$DEFINE __COMPILE_WITH_IBO__}

{$IFNDEF BCB}
{$DEFINE __DELPHI__}
{$ELSE}
{$DEFINE __BCB__}
{$ENDIF}


{$IFDEF VER185}                    // CodeGear For Delphi 2007

{$IFNDEF SUPPORT_XP_THEMES}
{$DEFINE SUPPORT_XP_THEMES}
{$ENDIF}
{$DEFINE __VCL2007_OR_LATER__}
{$DEFINE __VCL2006_OR_LATER__}
{$DEFINE __VCL2005_OR_LATER__}
{$DEFINE __VCL70_OR_LATER__}
{$DEFINE __VCL60_OR_LATER__}
{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_2007__}
{$ELSE}
{$DEFINE __BCB_2007__}
{$ENDIF}

{$ENDIF}

{$IFDEF VER180}                    // Borland Developer Studio v2006

{$IFNDEF SUPPORT_XP_THEMES}
{$DEFINE SUPPORT_XP_THEMES}
{$ENDIF}
{$DEFINE __VCL2006_OR_LATER__}
{$DEFINE __VCL2005_OR_LATER__}
{$DEFINE __VCL70_OR_LATER__}
{$DEFINE __VCL60_OR_LATER__}
{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_2006__}
{$ELSE}
{$DEFINE __BCB_2006__}
{$ENDIF}

{$ENDIF}

{$IFDEF VER170}                    // Delphi v2005

{$IFNDEF SUPPORT_XP_THEMES}
{$DEFINE SUPPORT_XP_THEMES}
{$ENDIF}
{$DEFINE __VCL2005_OR_LATER__}
{$DEFINE __VCL70_OR_LATER__}
{$DEFINE __VCL60_OR_LATER__}
{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_2005__}
{$ELSE}
ERROR: BCB v2005 not supported
{$ENDIF}

{$ENDIF}


{$IFDEF VER150}

{$IFNDEF SUPPORT_XP_THEMES}
{$DEFINE SUPPORT_XP_THEMES}
{$ENDIF}
{$DEFINE __VCL70_OR_LATER__}
{$DEFINE __VCL60_OR_LATER__}
{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_7__}
{$ELSE}
ERROR: BCB v7 not supported
{$ENDIF}

{$ENDIF}

{$IFDEF VER140}

{$DEFINE __VCL60_OR_LATER__}
{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_6__}
{$ELSE}
{$DEFINE __BCB_5__}
{$ENDIF}

{$ENDIF}

{$IFDEF VER130}

{$DEFINE __VCL50_OR_LATER__}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}

{$IFDEF __DELPHI__}
{$DEFINE __DELPHI_5__}
{$ELSE}
{$DEFINE __BCB_5__}
{$ENDIF}

{$ENDIF}


{$IFDEF VER125}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}
{$DEFINE __BCB_4__}
{$ENDIF}

{$IFDEF VER120}
{$DEFINE __VCL40_OR_LATER__}
{$DEFINE __VCL30_OR_LATER__}
{$DEFINE __DELPHI_4__}
{$ENDIF}

{$IFDEF VER110}
// Not worrying about VCL differences in BCB3
{$DEFINE __VCL30_OR_LATER__}
{$DEFINE __BCB_3__}
{$ENDIF}

{$IFDEF VER100}
{$DEFINE __VCL30_OR_LATER__}
{$DEFINE __DELPHI_3__}
{$ENDIF}

{$IFDEF VER90}
{$DEFINE __UNSUPPORTED__}
{$ENDIF}

{$IFDEF VER93}
{$DEFINE __UNSUPPORTED__}
{$ENDIF}

{$IFDEF VER80}
{$DEFINE __UNSUPPORTED__}
{$ENDIF}

{$IFDEF __BCB_3__}  // only required for C++Builder v3
{$ObjExportAll On}
{$ENDIF}

{$IFDEF __UNSUPPORTED__}
ERROR: Compiler Is Not Supported.
{$ENDIF}