{ TelesisEnh_IBOReg.pas                           SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Registration unit for components defined in TelesisEnh_IBO.pas
<br>
@desc See <See Unit=TelesisEnh_IBO>.
<br>
<br>
<strong>History</strong><br>
<br>
27-Feb-2001 - Documentation.<br>
<br>
05-Aug-2001 - Support for Delphi6 (courtesy Luiz Alves).<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<br>}
unit TelesisEnh_IBOReg;

{$INCLUDE IB_Directives.inc}

interface

uses SysUtils,
  Messages,
  Windows,
  Classes,
  Menus,
  Controls,
  Consts,
  {$IFDEF IBO_VCL60_OR_GREATER}
  DesignIntf, DesignMenus, DesignEditors, DesignWindows,
 {$ELSE}
  DsgnIntf,
 {$ENDIF}

  Dialogs,
  Forms,
  TypInfo,
  IB_Editors;

type

  // Property Editor for lookup field...
  TLookupEnhFieldProperty = class(TStringProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    procedure GetValues(Proc: TGetStrProc); override;
  end;

procedure Register;


implementation

{$R Telesis_IB_EditEnh.res}
{$R Telesis_IB_SpinEditEnh.res}
{$R Telesis_IB_ComboBoxEnh.res}
{$R Telesis_IB_LookupEnh.res}
{$R Telesis_IB_DateTimeEnh.res}
{$R Telesis_IB_LocateEditEnh.res}
{$R Telesis_IB_MemoEnh.res}
{$R Telesis_IB_CheckBoxEnh.RES}
{$R Telesis_IB_BitCheckBoxEnh.RES}
{$R Telesis_IB_BitCheckListEnh.RES}


uses
  IB_Components,
  Telesis_IB_EditEnh,
  Telesis_IB_SpinEditEnh,
  Telesis_IB_ComboBoxEnh,
  Telesis_IB_LookupEnh,
  Telesis_IB_DateTimeEnh,
  Telesis_IB_LocateEditEnh,
  Telesis_IB_MemoEnh,
  Telesis_IB_CheckBoxEnh,
  Telesis_IB_BitCheckBoxEnh,
  Telesis_IB_BitCheckListEnh;


procedure Register;
begin
  // Component Registration
  RegisterComponents('Enhanced Data', [
      TIB_EditEnh,
      TIB_SpinEditEnh,
      TIB_ComboBoxEnh,
      TIB_LookupEnh,
      TIB_DateTimeEnh,
      TIB_LocateEditEnh,
      TIB_MemoEnh,
      TIB_CheckBoxEnh,
      TIB_BitCheckBoxEnh,
      TIB_BitCheckListEnh]);

  // Property Editors
  RegisterDataFieldPropertyEditor( TIB_CustomEditEnh );
  RegisterDataFieldPropertyEditor( TIB_CustomSpinEditEnh );
  RegisterDataFieldPropertyEditor(TIB_CustomCheckBoxEnh);
  RegisterDataFieldPropertyEditor(TIB_CustomComboBoxEnh);
  RegisterPropertyEditor(TypeInfo(string), TIB_CustomComboBoxEnh,
    'DisplayField', TDataFieldProperty);
  RegisterDataFieldPropertyEditor(TIB_CustomDateTimeEnh);
  RegisterDataFieldPropertyEditor(TIB_CustomLookupEnh);
  RegisterPropertyEditor(TypeInfo(string), TIB_CustomLookupEnh, 'DisplayField',
    TDataFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), TIB_CustomLookupEnh, 'LookupField',
    TLookupEnhFieldProperty);
  RegisterDataFieldPropertyEditor(TIB_CustomMemoEnh);
  RegisterDataFieldPropertyEditor(TIB_CustomBitCheckBoxEnh);
  RegisterDataFieldPropertyEditor(TIB_CustomBitCheckListEnh);
end;



function TLookupEnhFieldProperty.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paValueList, paSortList];
end;

procedure TLookupEnhFieldProperty.GetValues(Proc: TGetStrProc);
var
  AControl: TControl;
  LookupControl: TIB_CustomLookupEnh;
  ii: integer;
begin
  AControl := nil;
  LookupControl := nil;
  if GetComponent(0) is TControl then
  begin
    AControl := GetComponent(0) as TControl;
  end;
  if Assigned(AControl) and (AControl is TIB_CustomLookupEnh) then
  begin
    LookupControl := AControl as TIB_CustomLookupEnh;
  end;
  if Assigned(LookupControl) and Assigned(LookupControl.LookupSource) then
  begin
    with LookupControl.LookupSource do
    try
      if Assigned(Dataset) then
        with Dataset do
        begin
          Prepare;
          if Fields.RelationCount > 1 then
          begin
            for ii := 0 to Fields.ColumnCount - 1 do
            begin
              Proc(Fields[ii].FullFieldName);
            end;
          end
          else
            for ii := 0 to Fields.ColumnCount - 1 do
            begin
              Proc(Fields[ii].FieldName);
            end;
        end;
    except
      // Do nothing.
    end;
  end;
end;

end.