{ Telesis_Locale.pas                              SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Locale specific constants (resource strings).
<br>
@desc Also see non-locale specific constants in <See Unit=Telesis_Constants>.
<br>
<br>
<strong>History</strong><br>
<br>
28-Dec-2001 - Expansion of localisation.<br>
<br>
01-Aug-2001 - Documentation.<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<br>}
unit Telesis_Locale;

{$INCLUDE Telesis.inc}

interface

resourcestring

  {: Language of this resource string collection.}
  TelesisEnh_Language = 'English (Australian)';
  {: Prompt message reported on Version dialog at designtime.}
  TelesisEnh_SaveLoadMsg =
    'Click Yes to Save the current component as Resource File' + #13#10 +
    'Click No to Load Resource File as Child of Component' + #13#10 +
    'Click Cancel to Return to Designer';

  // These strings used in CheckBoxEnh, each string
  // should start with a different character.
  {: String value of True (non-zero) boolean values.}
  ENHSTR_Bool_True = 'True';            // '1'
  {: String value of False (zero) boolean values.}
  ENHSTR_Bool_False = 'False';          // '0'
  {: String value of undefined boolean values.}
  ENHSTR_Bool_Unknown = 'Unknown';      // ' '

  ENHSTR_Lookup_Searching = 'Searching...';
  ENHSTR_Today = 'Today';
  ENHSTR_Now = 'Now';
  ENHSTR_Clear = 'Clear';

  ENHERR_UNSUPPORTED_VARIANT = 'Unsupported Variant Type';
  ENHERR_NUMBER_TOO_LARGE = 'Number Too Large To Format Without Exponent';

  ENHERR_EDITENH_NOERROR = 'No Error';
  ENHERR_MASKENH_CHAR_INVALID = 'Invalid Input Character';
  ENHERR_MASKENH_TRUNCATED = 'Truncated Input Character';
  ENHERR_MASKENH_INVALID = 'Invalid Input Value';
  ENHERR_MASKENH_INVALIDTRUNC = 'Input String Was Truncated';
  ENHERR_MASKENH_CHAR_TRUNCATED = 'Invalid Input Characters Were Truncated';
  ENHERR_COMBOENH_INVALID_PARENT = 'Invalid Parent For Combo Control.  Must be a CustomComboEnh derivative.';
  ENHERR_DATEENH_VALUE_NOT_FOUND = 'Required Value Not Found';
  //??ENHERR_DATEENH_DATETIME_IS_SET = 'DateTime Return Value is Already Set';
  ENHERR_DATEENH_INVALID_LAYOUT = 'Invalid or blank Layout string';
  ENHERR_DATEENH_INPUT_TOO_SHORT = 'Required input values not completed';
  ENHERR_DATEENH_NO_AM_OR_PM = 'Missing or Invalid AM/PM Input';
  ENHERR_DATEENH_INVALID_AM_TIME = 'Time invalid for AM entry';
  ENHERR_DATEENH_INVALID_PM_TIME = 'Time invalid for PM entry';
  ENHERR_DATEENH_INVALID_DATE = 'Invalid date input, eg: wrong # of days in month';
  ENHERR_DATEENH_MISMATCHED_DAYNAME = 'Input of day name did not match date';
  ENHERR_DATEENH_INVALID_DAY_DATE = 'Day date number was invalid';
  ENHERR_DATEENH_INVALID_MONTH = 'Month number or str was invalid';
  ENHERR_DATEENH_INVALID_YEAR = 'Year number was invalid';
  ENHERR_DATEENH_INVALID_HOUR = 'Hour number was invalid';
  ENHERR_DATEENH_INVALID_MINUTE = 'Minute number was invalid';
  ENHERR_DATEENH_INVALID_SECOND = 'Second number was invalid';
  ENHERR_DATEENH_INVALID_POINTS = 'Points of seconds number was invalid';
  ENHERR_DATEENH_INVALID_AMPM = 'The AM/PM string was invalid';
  ENHERR_UNKNOWN_EDIT_ERROR = 'Unspecified Validation Error';


  // other locale specific constants relating to the ExtractDateTime
  // function in Telesis_Utils.
const
  ExtractDT_LongStrings: array[1..5] of string =
  ('Today', 'Tomorrow', 'Yesterday', 'Now', 'None');
  // these are abbreviations of the ExtractDT_LongStrings values
  ExtractDT_ShortStrings: array[1..5] of string =
  ('Tod', 'Tom', 'Yes', 'Now', 'Non');

  // should not need to localise these few variables
  ExtractDT_Numbers: string = '0123456789';
  ExtractDT_Delimiters: string =
  #7#8#9#10#11#12#13' ,.:;="''!#$ %&() * + - <> ?@[]^` {|}  ~ / \'#127#128;

implementation


end.