{ Telesis_Locale.pas                              SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Locale specific constants (resource strings).
<br>
@desc Also see non-locale specific constants in <See Unit=Telesis_Constants>.
<br>
<br>
<strong>History</strong><br>
<br>
28-Dec-2001 - Expansion of localisation.<br>
<br>
01-Aug-2001 - Documentation.<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<br>}
unit Telesis_Locale;

{$INCLUDE Telesis.inc}

interface

resourcestring

  {: Language of this resource string collection.}
  TelesisEnh_Language = 'French (France)';
  {: Prompt message reported on Version dialog at designtime.}
  TelesisEnh_SaveLoadMsg =
    'Cliquez Oui pour Sauver le prsent composant comme Fichier Ressource' + #13#10 +
    'Cliquez Non pour Charger le Fichier Ressource comme Enfant de Composant' + #13#10 +
    'Cliquez Annuler pour Retourner au Designer'; 

  // These strings used in CheckBoxEnh, each string
  // should start with a different character.
  {: String value of True (non-zero) boolean values.}
  ENHSTR_Bool_True = 'Vrai';            // '1'
  {: String value of False (zero) boolean values.}
  ENHSTR_Bool_False = 'Faux';          // '0'
  {: String value of undefined boolean values.}
  ENHSTR_Bool_Unknown = 'Inconnu';      // ' '

  ENHSTR_Lookup_Searching = 'Recherche...';
  ENHSTR_Today = 'Aujourd''hui';
  ENHSTR_Now = 'Maintenant';
  ENHSTR_Clear = 'Purger';

  ENHERR_UNSUPPORTED_VARIANT = 'Type Variant non support';
  ENHERR_NUMBER_TOO_LARGE = 'Nombre trop lv pour formater sans Exposant';

  ENHERR_EDITENH_NOERROR = 'Sans Erreur';
  ENHERR_MASKENH_CHAR_INVALID = 'Saisie de caractres invalide';
  ENHERR_MASKENH_TRUNCATED = 'Saisie de caractres tronque';
  ENHERR_MASKENH_INVALID = 'Valeur de saisie invalide';
  ENHERR_MASKENH_INVALIDTRUNC = 'La chane saisie a t tronque';
  ENHERR_MASKENH_CHAR_TRUNCATED = 'Les caractres saisies invalides ont t tronqus';
  ENHERR_COMBOENH_INVALID_PARENT = 'Parent invalide pour Contrle Combo.  Doit driv de CustomComboEnh.';
  ENHERR_DATEENH_VALUE_NOT_FOUND = 'Valeur requise inexistante';
  ENHERR_DATEENH_DATETIME_IS_SET = 'Valeur de retour de [DateTime] dj initialise';
  ENHERR_DATEENH_INVALID_LAYOUT = 'Disposition de chane invalide ou vierge';
  ENHERR_DATEENH_INPUT_TOO_SHORT = 'Valeurs de saisies requises non compltes';
  ENHERR_DATEENH_NO_AM_OR_PM = 'Saisie AM/PM invalide ou absent';
  ENHERR_DATEENH_INVALID_AM_TIME = 'Heure invalide pour saisie AM';
  ENHERR_DATEENH_INVALID_PM_TIME = 'Heure invalide pour saisie PM';
  ENHERR_DATEENH_INVALID_DATE = 'Saisie invalide, p. ex. : quantime du jour dans le mois';
  ENHERR_DATEENH_MISMATCHED_DAYNAME = 'Nom du jour saisi diffre de la date';
  ENHERR_DATEENH_INVALID_DAY_DATE = 'Jour de la date saisie tait invalide';
  ENHERR_DATEENH_INVALID_MONTH = 'Chiffre du Mois ou chane tait invalide';
  ENHERR_DATEENH_INVALID_YEAR = 'Anne tait invalide';
  ENHERR_DATEENH_INVALID_HOUR = 'Heure tait invalide';
  ENHERR_DATEENH_INVALID_MINUTE = 'Minute tait invalide';
  ENHERR_DATEENH_INVALID_SECOND = 'Seconde tait invalide';
  ENHERR_DATEENH_INVALID_POINTS = 'Sparateur du chiffre des secondes tait invalide';
  ENHERR_DATEENH_INVALID_AMPM = 'La saisie AM/PM tait invalide';
  ENHERR_UNKNOWN_EDIT_ERROR = 'Validation Erreur non spcifie';


  // other locale specific constants relating to the ExtractDateTime
  // function in Telesis_Utils.
const
  ExtractDT_LongStrings: array[1..5] of string =
  ('Aujourd''hui', 'Demain', 'Hier', 'Maintenant', 'Aucun');
  // these are abbreviations of the ExtractDT_LongStrings values
  ExtractDT_ShortStrings: array[1..5] of string =
  ('Auj', 'Dem', 'Hie', 'Mai', 'Auc');

  // should not need to localise these few variables
  ExtractDT_Numbers: string = '0123456789';
  ExtractDT_Delimiters: string =
  #7#8#9#10#11#12#13' ,.:;="''!#$ %&() * + - <> ?@[]^` {|}  ~ / \'#127#128;

implementation


end.
