{ Telesis_Locale_Ger.pas                              SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Locale specific constants (resource strings).
<br>
@desc Also see non-locale specific constants in <See Unit=Telesis_Constants>.
<br>
<br>
<strong>History</strong><br>
<br>
28-Dec-2001 - Expansion of localisation.<br>
<br>
01-Aug-2001 - Documentation.<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<br>}
unit Telesis_Locale;

{$INCLUDE Telesis.inc}

interface

resourcestring

  {: Language of this resource string collection.}
  TelesisEnh_Language = 'Deutsch (Deutschland) ';
  {: Prompt message reported on Version dialog at designtime.}
  TelesisEnh_SaveLoadMsg =
    '"Ja" um die Komponente als Resourdendatei zu speichern' + #13#10 +
    '"Nein" um eine Resourcendatei als Kind der Komponente zu laden' + #13#10 +
    'Mit "Abbrechen" zurck zum Designer';

  // These strings used in CheckBoxEnh, each string
  // should start with a different character.
  {: String value of True (non-zero) boolean values.}
  ENHSTR_Bool_True = 'Wahr';            // '1'
  {: String value of False (zero) boolean values.}
  ENHSTR_Bool_False = 'Falsch';          // '0'
  {: String value of undefined boolean values.}
  ENHSTR_Bool_Unknown = 'Unbekannt';      // ' '

  ENHSTR_Lookup_Searching = 'Suche...';
  ENHSTR_Today = 'Heute';
  ENHSTR_Now = 'Jetzt';
  ENHSTR_Clear = 'Entfernen';

  ENHERR_UNSUPPORTED_VARIANT = 'Nicht untersttzter varianter Typ';
  ENHERR_NUMBER_TOO_LARGE = 'Zahl zu gro um sie ohne Exponenten zu formatieren';

  ENHERR_EDITENH_NOERROR = 'Kein Fehler';
  ENHERR_MASKENH_CHAR_INVALID = 'Ungltiges Eingabezeichen';
  ENHERR_MASKENH_TRUNCATED = 'Eingabezeichen abgeschnitten';
  ENHERR_MASKENH_INVALID = 'Ungltiger Eingabewert';
  ENHERR_MASKENH_INVALIDTRUNC = 'Eingabestring abgeschnitten';
  ENHERR_MASKENH_CHAR_TRUNCATED = 'Ungltige Eingabezeichen abgeschnitten';
  ENHERR_COMBOENH_INVALID_PARENT = 'Ungltiger Vorfahre der Combo-Control.  Muss ein Nachfahre von CustomComboEnh sein.';
  ENHERR_DATEENH_VALUE_NOT_FOUND = 'Erforderlicher Wert nicht gefunden';
  ENHERR_DATEENH_DATETIME_IS_SET = 'DateTime-Rckgabewert schon zugewiesen';
  ENHERR_DATEENH_INVALID_LAYOUT = 'Ungltiger oder leerer Layoutstring';
  ENHERR_DATEENH_INPUT_TOO_SHORT = 'Notwendige Eingabewerte nicht vollstndig';
  ENHERR_DATEENH_NO_AM_OR_PM = 'Fehlende oder ungltige AM/PM-Angabe';
  ENHERR_DATEENH_INVALID_AM_TIME = 'Zeit ungltig fr AM-Eintrag';
  ENHERR_DATEENH_INVALID_PM_TIME = 'Zeit ungltig fr PM-Eintrag';
  ENHERR_DATEENH_INVALID_DATE = 'Ungltige Datumseingabe, z.B. # bei Tagen im Monat falsch verwendet';
  ENHERR_DATEENH_MISMATCHED_DAYNAME = 'Der Tagesbezeichner stimmt nicht mit dem Datum berein.';
  ENHERR_DATEENH_INVALID_DAY_DATE = 'Ungltige Tageszahl';
  ENHERR_DATEENH_INVALID_MONTH = 'Ungltige(r) Monatszahl oder -bezeichner';
  ENHERR_DATEENH_INVALID_YEAR = 'Ungltige Jahreszahl';
  ENHERR_DATEENH_INVALID_HOUR = 'Ungltige Stundenangabe';
  ENHERR_DATEENH_INVALID_MINUTE = 'Ungltige Minutenangabe';
  ENHERR_DATEENH_INVALID_SECOND = 'Ungltige Sekundenangabe';
  ENHERR_DATEENH_INVALID_POINTS = 'Ungltige Punkte in der Sekundenangabe';
  ENHERR_DATEENH_INVALID_AMPM = 'AM/PM-String ungltig';
  ENHERR_UNKNOWN_EDIT_ERROR = 'Unbekannter Fehler bei der Auswertung';


  // other locale specific constants relating to the ExtractDateTime
  // function in Telesis_Utils.
const
  ExtractDT_LongStrings: array[1..5] of string =
  ('Heute', 'Morgen', 'Gestern', 'Jetzt', 'Keine');
  // these are abbreviations of the ExtractDT_LongStrings values
  ExtractDT_ShortStrings: array[1..5] of string =
  ('Heu', 'Mor', 'Ges', 'Jet', 'Kei');

  // Comment by HS: I'm not sure about these ShortStrings. I'm not aware about
  // generally used german abbreviations for the DT_LongStrings.

  // should not need to localise these few variables
  ExtractDT_Numbers: string = '0123456789';
  ExtractDT_Delimiters: string =
  #7#8#9#10#11#12#13' ,.:;="''!#$ %&() * + - <> ?@[]^` {|}  ~ / \'#127#128;

implementation


end.