{ Telesis_Locale.pas                              SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Locale specific constants (resource strings).
<br>
@desc Also see non-locale specific constants in <See Unit=Telesis_Constants>.
<br>
<br>
<strong>History</strong><br>
<br>
28-Dec-2001 - Expansion of localisation.<br>
<br>
01-Aug-2001 - Documentation.<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<strong>Traduzido para o portugus brasileiro por Rodrigo Garcia Lima
(rodrigo_garcia@terra.com.br)</strong>
<br>}
unit Telesis_Locale_ptbr;

{$INCLUDE Telesis.inc}

interface

resourcestring

  {: Language of this resource string collection.}
  TelesisEnh_Language = 'Portugus (Brasil)';
  {: Prompt message reported on Version dialog at designtime.}
  TelesisEnh_SaveLoadMsg =
    'Click Yes to Save the current component as Resource File' + #13#10 +
    'Click No to Load Resource File as Child of Component' + #13#10 +
    'Click Cancel to Return to Designer';

  // These strings used in CheckBoxEnh, each string
  // should start with a different character.
  {: String value of True (non-zero) boolean values.}
  ENHSTR_Bool_True = 'Verdadeiro';            // '1'
  {: String value of False (zero) boolean values.}
  ENHSTR_Bool_False = 'Falso';          // '0'
  {: String value of undefined boolean values.}
  ENHSTR_Bool_Unknown = 'Desconhecido';      // ' '

  ENHSTR_Lookup_Searching = 'Procurando...';
  ENHSTR_Today = 'Hoje';
  ENHSTR_Now = 'Agora';
  ENHSTR_Clear = 'Limpar';

  ENHERR_UNSUPPORTED_VARIANT = 'Tipo da variant no  suportado';
  ENHERR_NUMBER_TOO_LARGE = 'Nmero muito grande para formatar sem usar exponente';

  ENHERR_EDITENH_NOERROR = 'Sem erros';
  ENHERR_MASKENH_CHAR_INVALID = 'Caractere digitado  invlido';
  ENHERR_MASKENH_TRUNCATED = 'Caractere digitado foi removido';
  ENHERR_MASKENH_INVALID = 'Valor digitado  invlido';
  ENHERR_MASKENH_INVALIDTRUNC = 'Texto digitado foi cortado para caber no espao disponvel';
  ENHERR_MASKENH_CHAR_TRUNCATED = 'Caracteres digitados invlidos foram removidos';
  ENHERR_COMBOENH_INVALID_PARENT = 'Invalid Parent For Combo Control.  Must be a CustomComboEnh derivative.'; //deixa dete jeito mesmo, pois  uma mensagem para o programador
  ENHERR_DATEENH_VALUE_NOT_FOUND = 'Valor requerido no foi encontrado';
  ENHERR_DATEENH_DATETIME_IS_SET = 'Valor de retorno de data e hora j esto definidos';
  ENHERR_DATEENH_INVALID_LAYOUT = 'Texto de Layout no est preenchido ou est invlido';
  ENHERR_DATEENH_INPUT_TOO_SHORT = ' Required input values not completed';
  ENHERR_DATEENH_NO_AM_OR_PM = 'Definidores de perodo (AM/PM) esto faltando';
  ENHERR_DATEENH_INVALID_AM_TIME = 'Hora invlida para o perodo AM';
  ENHERR_DATEENH_INVALID_PM_TIME = 'Hora invlida para o perodo PM';
  ENHERR_DATEENH_INVALID_DATE = 'Data digitada est invlida, ex: nmero de dias do ms';
  ENHERR_DATEENH_MISMATCHED_DAYNAME = 'Dia digitado no confere com a data';
  ENHERR_DATEENH_INVALID_DAY_DATE = 'Dia est invlido';
  ENHERR_DATEENH_INVALID_MONTH = 'Ms est invlido';
  ENHERR_DATEENH_INVALID_YEAR = 'Ano est invlido';
  ENHERR_DATEENH_INVALID_HOUR = 'Hora est invlida';
  ENHERR_DATEENH_INVALID_MINUTE = 'Minutos esto invlidos';
  ENHERR_DATEENH_INVALID_SECOND = 'Segundos esto invlidos';
  ENHERR_DATEENH_INVALID_POINTS = 'Ponteiros do segundo nmero so invlidos';
  ENHERR_DATEENH_INVALID_AMPM = 'Texto que define a hora  invlido';
  ENHERR_UNKNOWN_EDIT_ERROR = 'Erro de validao no especificado';


  // other locale specific constants relating to the ExtractDateTime
  // function in Telesis_Utils.
const
  ExtractDT_LongStrings: array[1..5] of string =
  ('Hoje', 'Amanh', 'Ontem', 'Agora', 'Nada');
  // these are abbreviations of the ExtractDT_LongStrings values
  ExtractDT_ShortStrings: array[1..5] of string =
  ('Hoj', 'Ama', 'Ont', 'Ago', 'Nad');

  // should not need to localise these few variables
  ExtractDT_Numbers: string = '0123456789';
  ExtractDT_Delimiters: string =
  #7#8#9#10#11#12#13' ,.:;="''!#$ %&() * + - <> ?@[]^` {|}  ~ / \'#127#128;

implementation


end.
