{ Telesis_Locale.pas                              SearchTag: ~~EnhComponents~~

 Copyright 1999-2001 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

{: @summary Locale specific constants (resource strings).
<br>
@desc Also see non-locale specific constants in <See Unit=Telesis_Constants>.
<br>
<br>
<strong>History</strong><br>
<br>
28-Dec-2001 - Expansion of localisation.<br>
<br>
01-Aug-2001 - Documentation.<br>
<br>
<br>
<strong>Author: </strong>Geoff Worboys - Telesis Computing Pty Ltd.<br>
<br>}
unit Telesis_Locale;

{$INCLUDE Telesis.inc}

interface

resourcestring

  {: Language of this resource string collection.}
  TelesisEnh_Language = 'Serbian';
  {: Prompt message reported on Version dialog at designtime.}
  TelesisEnh_SaveLoadMsg =
    'Click Yes to Save the current component as Resource File' + #13#10 +
    'Click No to Load Resource File as Child of Component' + #13#10 +
    'Click Cancel to Return to Designer';

  // These strings used in CheckBoxEnh, each string
  // should start with a different character.
  {: String value of True (non-zero) boolean values.}
  ENHSTR_Bool_True = 'Tano';            // '1'
  {: String value of False (zero) boolean values.}
  ENHSTR_Bool_False = 'Netano';          // '0'
  {: String value of undefined boolean values.}
  ENHSTR_Bool_Unknown = 'Nedefinisano';      // ' '

  ENHSTR_Lookup_Searching = 'Traim...';
  ENHSTR_Today = 'Danas';
  ENHSTR_Now = 'Sad';
  ENHSTR_Clear = 'Isprazni';

  ENHERR_UNSUPPORTED_VARIANT = 'Variant tip nije podran';
  ENHERR_NUMBER_TOO_LARGE = 'Broj je prevelik za prikaz bez eksponenta';

  ENHERR_EDITENH_NOERROR = 'No Error';
  ENHERR_MASKENH_CHAR_INVALID = 'Uneseni znak nije dozvoljen';
  ENHERR_MASKENH_TRUNCATED = 'Uneseni znak je izbaen';
  ENHERR_MASKENH_INVALID = 'Unesena vrijednost nije dozvoljena';
  ENHERR_MASKENH_INVALIDTRUNC = 'Uneseni niz znakova je odsjeen';
  ENHERR_MASKENH_CHAR_TRUNCATED = 'Uneseni znakovi koji nisu dozvoljeni su izbaeni';
  ENHERR_COMBOENH_INVALID_PARENT = 'Parent za Combo Control nije ispravan.  Mora biti CustomComboEnh nasljednik.';
  ENHERR_DATEENH_VALUE_NOT_FOUND = 'Zahtijevana vrijednost nije pronaena';
  ENHERR_DATEENH_DATETIME_IS_SET = 'Vrijednost za datum i vrijeme je ve postavljena';
  ENHERR_DATEENH_INVALID_LAYOUT = 'Neispravno unesen ili prazan niz znakobva za Layout';
  ENHERR_DATEENH_INPUT_TOO_SHORT = 'Sve obavezne vrijednosti nisu unesene';
  ENHERR_DATEENH_NO_AM_OR_PM = 'Missing or Invalid AM/PM Input';
  ENHERR_DATEENH_INVALID_AM_TIME = 'Time invalid for AM entry';
  ENHERR_DATEENH_INVALID_PM_TIME = 'Time invalid for PM entry';
  ENHERR_DATEENH_INVALID_DATE = 'Neispravno unesen datum, npr. pogrean broj dana u mjesecu';
  ENHERR_DATEENH_MISMATCHED_DAYNAME = 'Uneseni naziv dana se ne slae sa datumom';
  ENHERR_DATEENH_INVALID_DAY_DATE = 'Dan nije ispravno unesen';
  ENHERR_DATEENH_INVALID_MONTH = 'Mjesec nije ispravno unesen';
  ENHERR_DATEENH_INVALID_YEAR = 'Godina nije ispravno unesena';
  ENHERR_DATEENH_INVALID_HOUR = 'Sati nisu ispravno uneseni';
  ENHERR_DATEENH_INVALID_MINUTE = 'Minute nisu ispravno unesene';
  ENHERR_DATEENH_INVALID_SECOND = 'Sekunde nisu ispravno unesene';
  ENHERR_DATEENH_INVALID_POINTS = 'Points of seconds number was invalid';
  ENHERR_DATEENH_INVALID_AMPM = 'The AM/PM string was invalid';
  ENHERR_UNKNOWN_EDIT_ERROR = 'Nedefinisana greka kod provjere vrijednosti';


  // other locale specific constants relating to the ExtractDateTime
  // function in Telesis_Utils.
const
  ExtractDT_LongStrings: array[1..5] of string =
  ('Danas', 'Sutra', 'Jue', 'Sad', 'Prazno');
  // these are abbreviations of the ExtractDT_LongStrings values
  ExtractDT_ShortStrings: array[1..5] of string =
  ('Dan', 'Sut', 'Ju', 'Sad', 'Pra');

  // should not need to localise these few variables
  ExtractDT_Numbers: string = '0123456789';
  ExtractDT_Delimiters: string =
  #7#8#9#10#11#12#13' ,.:;="''!#$ %&() * + - <> ?@[]^` {|}  ~ / \'#127#128;

implementation


end.
