{ Telesis_Publish.inc - Properties to publish from Base and Enhanced
VCL classes

22-Sep-2002 - Published some properties and events from base class.

29-May-2002 - Published some properties and events from base class.

 Copyright 1999-2000 - Telesis Computing Pty Ltd.  Australia.
Contact: Geoff Worboys - geoff@telesiscomputing.com.au }

// Time2Help is not very smart about handling pure publication definitions
// so we avoid the problem by skipping these if Time2Help is running.
{$IFNDEF TIME2HELP}


// TCustomDateTimeEnh
{$IFDEF PUBLISH_CustomDateTimeEnh}
{$UNDEF PUBLISH_CustomDateTimeEnh}
{$DEFINE PUBLISH_CustomComboEnh}
    published
        property DateOptions;
        property DateStartDay;
        property DateTitleColor;
        property DateDateCellColor;
        property DateTime;
        property DateFormat;
        property DateInputLayout;
{$ENDIF}


// TCustomCheckListEnh
{$IFDEF PUBLISH_CustomCheckListEnh}
{$UNDEF PUBLISH_CustomCheckListEnh}
{$DEFINE PUBLISH_CustomListBox}
  published
      //property Ctl3DShallow;
      property OnClickCheck;
      property AllowGrayed;
      property Flat;
      property HeaderColor;
      property HeaderBackgroundColor;
      property ReadOnly;
      property AllowHorzScroll;
{$ENDIF}


// TCustomListBox
{$IFDEF PUBLISH_CustomListBox}
{$UNDEF PUBLISH_CustomListBox}
{$DEFINE PUBLISH_WinControl}
    published
        property AutoComplete;
        property BorderStyle;
        property Columns;
        //property ExtendedSelect;
        property IntegralHeight;
        property ItemHeight;
        property Items;
        //property MultiSelect;
        property Sorted;
        property Style;
        property TabWidth;
        property OnData;
        property OnDataFind;
        property OnDataObject;
        property OnDrawItem;
        property OnMeasureItem;
{$ENDIF}


// TCustomComboBoxEnh
{$IFDEF PUBLISH_CustomCheckBoxEnh}
{$UNDEF PUBLISH_CustomCheckBoxEnh}
{$DEFINE PUBLISH_CustomComboEnh}
    published
        property ListWidth;
        property AllowGrayed;
        property Checked;
        property State;
        property CheckedString;
        property UncheckedString;
        property GrayedString;
{$ENDIF}


// TCustomComboBoxEnh
{$IFDEF PUBLISH_CustomComboBoxEnh}
{$UNDEF PUBLISH_CustomComboBoxEnh}
{$DEFINE PUBLISH_CustomComboEnh}
    public
        property ItemIndex;
        property ItemValue;
        property ItemValues;
    published
        property ListColumns;
        property ListRows;
        property ListWidth;
        property Items;
        property Sorted;
        property Style;
        property TabWidth;
        property ListOwnerDraw;
        property OnListDrawItem;
{$ENDIF}


// TCustomComboEnh
{$IFDEF PUBLISH_CustomComboEnh}
{$UNDEF PUBLISH_CustomComboEnh}
{$DEFINE PUBLISH_CustomEditEnh}
    published
        property ActiveWhenReadOnly;
        property AutoDropDown;
        property DropDownColor;
        property DropDownFont;
        property DropDownFontAuto;
        property OnCloseUp;
        property BeforeDropDown;
        property OnDropDown;
{$ENDIF}


// TCustomMemoEnh - separate publication to EditEnh, different requirements
{$IFDEF PUBLISH_CustomMemoEnh}
{$UNDEF PUBLISH_CustomMemoEnh}
{$DEFINE PUBLISH_CustomEditEnh}
    public
        property CaretPos: TPoint read GetCaretPos;

    published
        // From TCustomMemoEnh
        property ScrollBars;
        property WantReturns;
        property WantTabs;
        property WordWrap;
        property ScrollBarsAuto;
        property Lines;

{$ENDIF}


// Special MaskEnh publications when requested
{$IFDEF PUBLISH_MaskEnh}
{$UNDEF PUBLISH_MaskEnh}
    published
        property EditMask;
        property EditMaskMode;
        property PasswordChar;
{$ENDIF}


// Special Text publications when requested
{$IFDEF PUBLISH_Text}
{$UNDEF PUBLISH_Text}
    published
        property CharCase;
        property MaxLength;
        property OEMConvert;
        property Text;
{$ENDIF}


// TCustomSpinEditEnh
{$IFDEF PUBLISH_CustomSpinEditEnh}
{$UNDEF PUBLISH_CustomSpinEditEnh}
{$DEFINE PUBLISH_CustomEditEnh}
    published
        property Value;
        property Increment;
        property Large_Increment;
        property Maximum;
        property Minimum;
        property WrapValue;
{$ENDIF}


// TCustomEditEnh
{$IFDEF PUBLISH_CustomEditEnh}
{$UNDEF PUBLISH_CustomEditEnh}
{$DEFINE PUBLISH_CustomEdit}
    published
        property Alignment;
        property Button;
        property Ctl3DShallow;
        property GlyphAlign;
        property GlyphSize;
        property Options;
        property OnButton1;
        property OnButton2;
        property OnButton3;
        property OnDrawButton;
        property AfterValidateEdit;
        property OnValidateEdit;
        property OnValidateError;
        property OnGlyphClick;
        property OnDrawGlyph;
{$ENDIF}


// TCustomEdit
{$IFDEF PUBLISH_CustomEdit}
{$UNDEF PUBLISH_CustomEdit}
{$DEFINE PUBLISH_WinControl}
    published
        property AutoSelect;
        property BorderStyle;
        property HideSelection;
        {$IFDEF __VCL30_OR_LATER__}
        property ImeMode;
        property ImeName;
        {$ENDIF}
        property ReadOnly;
        property OnChange;
{$ENDIF}


// TIB_CustomLabel - used to be TCustomLabelEnh but now in IBO library.
{$IFDEF PUBLISH_CustomLabelEnh}
{$UNDEF PUBLISH_CustomLabelEnh}
{$DEFINE PUBLISH_CustomLabel}
    published
        property CharCase;
        property DotLeader;
        property Suffix;
        property SuffixBeforeDots;
        property OnGetLabel;
{$ENDIF}


// TCustomLabel
{$IFDEF PUBLISH_CustomLabel}
{$UNDEF PUBLISH_CustomLabel}
{$DEFINE PUBLISH_Control}
    published
        property Alignment;
        property Caption;
        property FocusControl;
        property ShowAccelChar;
        property Transparent;
        property Layout;
        property WordWrap;
{$ENDIF}


// TCustomPanelEnh
{$IFDEF PUBLISH_CustomPanelEnh}
{$UNDEF PUBLISH_CustomPanelEnh}
{$DEFINE PUBLISH_CustomPanel}
    published
        property AllowFocus;
        property AutoPlacement;
        property BrushStyle;
        property BrushFGColor;
        property Center;
        property CenterFill;
        property ClipChildren;
        property DynamicSizing;
        property DynamicResources;
        property FrontWhenSized;
        property InnerMargin;
        property Layout;
        property SizeSides;
        property Transparent;
        property WordWrap;
        property OnHide;
        property OnShow;
        property OnFormChanged;
{$ENDIF}


// TCustomDateTimePnlEnh
{$IFDEF PUBLISH_CustomDateTimePnlEnh}
{$UNDEF PUBLISH_CustomDateTimePnlEnh}
{$DEFINE PUBLISH_CustomPanel}
    public
        property TimeStamp;
        property OnPopupCloseEvent;

    published
        property Options;
        property StartDay;
        property TitleColor;
        property DateCellColor;
        property OnChange;
{$ENDIF}


// TCustomPanel
{$IFDEF PUBLISH_CustomPanel}
{$UNDEF PUBLISH_CustomPanel}
{$DEFINE PUBLISH_CustomControl}
    published
        property Alignment;
        property BevelInner;
        property BevelOuter;
        property BevelWidth;
        property BorderStyle;
        property BorderWidth;
        property FullRepaint;
        property Locked;
        // From TControl
        property Caption;
{$ENDIF}


// TCustomControl
{$IFDEF PUBLISH_CustomControl}
{$UNDEF PUBLISH_CustomControl}
{$DEFINE PUBLISH_WinControl}
    public
      property Canvas;
{$ENDIF}


// TWinControl
{$IFDEF PUBLISH_WinControl}
{$UNDEF PUBLISH_WinControl}
{$DEFINE PUBLISH_Control}
    published
        property Ctl3D;
        // property HelpContext; already published in TWinControl
        property ParentCtl3D;
        property TabOrder;
        property TabStop;
        // Events
        property OnEnter;
        property OnExit;
        {$IFDEF __VCL40_OR_LATER__}
        property DockSite;
        property UseDockManager;
        property OnDockDrop;
        property OnDockOver;
        property OnGetSiteInfo;
        property OnKeyDown;
        property OnKeyPress;
        property OnKeyUp;
        property OnMouseWheel;
        property OnMouseWheelDown;
        property OnMouseWheelUp;
        property OnUnDock;
        {$ENDIF}
{$ENDIF}


// TControl
{$IFDEF PUBLISH_Control}
{$UNDEF PUBLISH_Control}
    published
        property Align;
        property AutoSize;
        property Color;
        // property Cursor;  already published in TControl
        property DragCursor;
        property DragMode;
        property Enabled;
        property Font;
        // property Height;  already published in TControl
        // property Hint;  already published in TControl
        // property Left;  already published in TControl
        // property Name;  already published in TComponent
        property ParentColor;
        property ParentFont;
        property ParentShowHint;
        property PopupMenu;
        property ShowHint;
        // property Tag;  already published in TComponent
        // property Top;  already published in TControl
        property Visible;
        // property Width;  already published in TControl
        // Events
        property OnClick;
        property OnDblClick;
        property OnDragDrop;
        property OnDragOver;
        property OnEndDrag;
        property OnMouseDown;
        property OnMouseMove;
        property OnMouseUp;
        property OnResize;
        property OnStartDrag;
        {$IFDEF __VCL40_OR_LATER__}
        property Anchors;
        property BiDiMode;
        property Constraints;
        property DragKind;
        property ParentBiDiMode;
        property OnCanResize;
        property OnConstrainedResize;
        property OnEndDock;
        property OnStartDock;
        {$ENDIF}
        {$IFDEF __VCL50_OR_LATER__}
        property OnContextPopup;
        {$ENDIF}
{$ENDIF}

// Cleare these if defined for data-aware implementation...
{$IFDEF BDE_DATA_AWARE}
{$UNDEF BDE_DATA_AWARE}
{$ENDIF}
{$IFDEF IBO_DATA_AWARE}
{$UNDEF IBO_DATA_AWARE}
{$ENDIF}

{$ENDIF} // TIME2HELP